import type { Readable } from 'svelte/store';
import type { DataRecord } from '../types/DataRecord.js';
import type { FullDataTableConfig } from '../types/DataTableConfig.js';
import type { PaginatedListRequest } from '../types/PaginatedListRequest.js';
import type { IDataSource } from './IDataSource.js';
import type { QueryObserver } from './QueryObserver.js';
export declare abstract class AbstractDataSource<T extends DataRecord = DataRecord> implements IDataSource<T> {
    private currentStatus;
    private queryObserver;
    private setQueryStatus;
    protected dataTableConfig: FullDataTableConfig<T>;
    init(config: FullDataTableConfig<T>): void;
    getQueryObserver(): Readable<QueryObserver<T>>;
    protected updateStatus(status: Pick<QueryObserver<T>, 'data'> | Pick<QueryObserver<T>, 'error'>): void;
    abstract requestData(data: PaginatedListRequest<T>): void;
}
