import type { DataRecord } from '../types/DataRecord.js';
import type { PaginatedListResponse } from '../types/PaginatedListResponse.js';
export interface QueryObserver<T extends DataRecord = DataRecord> {
    data: PaginatedListResponse<T> | undefined;
    error: Error | undefined;
    isError: boolean;
    isLoading: boolean;
    isSuccess: boolean;
}
export declare function buildLoadingQueryObserver<T extends DataRecord = DataRecord>(): QueryObserver<T>;
export declare function buildSuccessQueryObserver<T extends DataRecord = DataRecord>(data: PaginatedListResponse<T>): QueryObserver<T>;
export declare function buildErrorQueryObserver<T extends DataRecord = DataRecord>(error: Error): QueryObserver<T>;
