import { SvelteComponentTyped } from "svelte";
import type { QueryObserver } from '../dataSource/QueryObserver.js';
import type { ParsedSearchQuery } from '../searchParser';
import type { SortDirection } from '../types/SortDirection.js';
declare const __propDef: {
    props: {
        currentPage: number;
        searchInput: string;
        searchQuery: ParsedSearchQuery | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {
            queryObserver: QueryObserver<import("../index.js").DataRecord>;
            columnProperties: Record<string, import("../index.js").ComponentTypeProperties>;
            itemAmount: number;
            pageAmount: number;
            items: any[];
            sortDirection: SortDirection;
            toggleSorting: (columnKey: any) => void;
            sortColumnKey: string;
            open: (index: number) => number;
            currentOpenIndex: undefined;
            highlightedItemId: string | undefined;
        };
    };
};
export declare type InternalDataTableProps = typeof __propDef.props;
export declare type InternalDataTableEvents = typeof __propDef.events;
export declare type InternalDataTableSlots = typeof __propDef.slots;
export default class InternalDataTable extends SvelteComponentTyped<InternalDataTableProps, InternalDataTableEvents, InternalDataTableSlots> {
}
export {};
